summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-11 22:53:43 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:43 +0200
commit8e6c7de1c5874723dce63be007a6eb5ffdf33f4a (patch)
treefe52e259e42431fe18d82e523520a9ce97f688df /games
parent9f30ad7fb90bbf5a00608d2fb431bfa892a521c8 (diff)
downloadslackbuilds-8e6c7de1c5874723dce63be007a6eb5ffdf33f4a.tar.gz
slackbuilds-8e6c7de1c5874723dce63be007a6eb5ffdf33f4a.tar.xz
games/eduke32_hires_pack: Added to 12.1 repository
Diffstat (limited to 'games')
-rw-r--r--games/eduke32_hires_pack/README14
-rw-r--r--games/eduke32_hires_pack/eduke32_hires_pack.SlackBuild46
-rw-r--r--games/eduke32_hires_pack/eduke32_hires_pack.info8
-rw-r--r--games/eduke32_hires_pack/slack-desc11
4 files changed, 79 insertions, 0 deletions
diff --git a/games/eduke32_hires_pack/README b/games/eduke32_hires_pack/README
new file mode 100644
index 0000000000..ac71ec5a55
--- /dev/null
+++ b/games/eduke32_hires_pack/README
@@ -0,0 +1,14 @@
+The Duke3D High Resolution Pack allows you to use much better looking
+textures than the original game (released back in 1996) had to offer
+in the first place. It also introduces 3D model replacements for the
+old enemies/weapons/items sprites. In combination with an OpenGL port
+like JFDuke3D or EDuke32, this gives Duke Nukem 3D a modernized, more
+appealing look and even motivates Duke veterans to play through the
+original episodes once again.
+
+This package is intended for use with the eduke32 package from
+slackbuilds.org, but may also be used with other Duke3D source ports.
+
+If you've installed this package, but for some reason want to run eduke32
+without it, remove the ~/.eduke32/autoload symlink and create an empty
+~/.eduke32/autoload directory.
diff --git a/games/eduke32_hires_pack/eduke32_hires_pack.SlackBuild b/games/eduke32_hires_pack/eduke32_hires_pack.SlackBuild
new file mode 100644
index 0000000000..e13fe0a7d0
--- /dev/null
+++ b/games/eduke32_hires_pack/eduke32_hires_pack.SlackBuild
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+# Slackware build script for Eduke32 HRP (High Res Pack)
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=eduke32_hires_pack
+VERSION=${VERSION:-20070427}
+ZIPFILE=dn3d_hrp-27-04-2007.zip
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr/share/games/eduke32 $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip $CWD/$ZIPFILE
+chmod 644 *.*
+chmod 755 autoload autoload/duke3d.grp
+
+# 20080810 bkw: sd_duke stuff doesn't seem to work
+rm -f sd_duke.*
+
+chown -R root:root .
+mv autoload $PKG/usr/share/games/eduke32/autoload
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.txt *.TXT $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/eduke32_hires_pack/eduke32_hires_pack.info b/games/eduke32_hires_pack/eduke32_hires_pack.info
new file mode 100644
index 0000000000..c6331a3a8e
--- /dev/null
+++ b/games/eduke32_hires_pack/eduke32_hires_pack.info
@@ -0,0 +1,8 @@
+PRGNAM="eduke32_hires_pack"
+VERSION="20070427"
+HOMEPAGE="http://hrp.duke4.net/"
+DOWNLOAD="http://moreplease.free.fr/HRP/Parkar/dn3d_hrp-27-04-2007.zip"
+MD5SUM="007542782217d08a7da4c063935708eb"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/games/eduke32_hires_pack/slack-desc b/games/eduke32_hires_pack/slack-desc
new file mode 100644
index 0000000000..dcdb6c2f15
--- /dev/null
+++ b/games/eduke32_hires_pack/slack-desc
@@ -0,0 +1,11 @@
+eduke32_hires_pack: eduke32_hires_pack (Duke3D High Resolution Pack)
+eduke32_hires_pack: The Duke3D High Resolution Pack allows you to use much better looking
+eduke32_hires_pack: textures than the original game (released back in 1996) had to offer
+eduke32_hires_pack: in the first place. It also introduces 3D model replacements for the
+eduke32_hires_pack: old enemies/weapons/items sprites. In combination with an OpenGL port
+eduke32_hires_pack: like JFDuke3D or EDuke32, this gives Duke Nukem 3D a modernized, more
+eduke32_hires_pack: appealing look and even motivates Duke veterans to play through the
+eduke32_hires_pack: original episodes once again.
+eduke32_hires_pack:
+eduke32_hires_pack: This package is intended for use with the eduke32 package from
+eduke32_hires_pack: slackbuilds.org, but may also be used with other Duke3D source ports.